Package com.sun.jna.platform.win32.COM.util

# Interface IUnknown

All Known Subinterfaces:
  `IDispatch`

All Known Implementing Classes:
  `ProxyObject`

public interface IUnknown
Java friendly version of the IUnknown interface.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T> T`
  `queryInterface(Class<T> comInterface)`
  Returns a proxy object for the given interface.

- ## Method Details

  - ### queryInterface

    <T> T queryInterface(Class<T> comInterface) throws COMException
    Returns a proxy object for the given interface. Assuming that the interface is annotated with a ComInterface annotation that provides a valid iid.

    Will throw COMException if an error occurs trying to retrieve the requested interface, see exception cause for details.

    Throws:
      `COMException`